$desktop-large: 1800px;
$desktop-big: 1200px;
$desktop: 1024px;
$desktop-small: 900px;
$tablet: 768px;
$tablet-small: 600px;
$phone: 480px;

@mixin for-desktop-large {
  @media screen and (min-width: $desktop-large) {
    @content;
  }
}

@mixin for-desktop-big {
  @media screen and (min-width: $desktop-big) {
    @content;
  }
}

@mixin for-desktop {
  @media screen and (min-width: $desktop) {
    @content;
  }
}

@mixin for-desktop-small {
  @media screen and (min-width: $desktop-small) {
    @content;
  }
}

@mixin for-tablet {
  @media screen and (min-width: $tablet) {
    @content;
  }
}

@mixin for-tablet-small {
  @media screen and (min-width: $tablet-small) {
    @content;
  }
}

@mixin for-phone {
  @media screen and (min-width: $phone) {
    @content;
  }
}
